> For the complete documentation index, see [llms.txt](https://docs.geeknums.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geeknums.io/consulta-global-de-operadores-telefonicos.md).

# Consulta global de operadores telefónicos

Consulta global de operadores telefónicos con miles de millones de registros, actualizaciones oportunas y alta precisión.

> Ejemplo:
>
> *Ventana de terminal*
>
> ```shell
> curl --location --request POST 'https://api.checknumber.ai/v1/phone' \--header 'Content-Type: application/x-www-form-urlencoded' \--header 'X-API-Key: AbcdEfgh' \--data-urlencode 'number=628138800001&country=ID'
> ```

> Ejemplo de respuesta para una solicitud correcta
>
> ```json
> {  "status": "ok",  "message": {    "country_code": 62,    "national_number": 8138800001,    "is_valid_number": true,    "number_type": "MOBILE",    "e164": "+628138800001",    "region_code": "ID",    "location": {      "en": ""    },    "time_zones": ["Asia/Jakarta"],    "carrier": {      "en": "AXIS"    }  }}
> ```

> Ejemplo de respuesta para una solicitud con error
>
> ```json
> {  "status": "FAIL",  "message": "The phone number supplied is not a number."}
> ```

## Solicitud HTTP

`POST https://api.checknumber.ai/v1/phone`

## Parámetros de la solicitud

| parámetro | descripción                                          |
| --------- | ---------------------------------------------------- |
| `number`  | `string`, número de teléfono                         |
| `country` | `string`, código de región, como `ID` para Indonesia |

## Código de estado

| estado | descripción                                                    |
| ------ | -------------------------------------------------------------- |
| `OK`   | `free`, correcto                                               |
| `FAIL` | `free`, error; el campo `message` contiene el mensaje de error |

## Descripción de los campos del número de teléfono

| campos            | descripción                                |
| ----------------- | ------------------------------------------ |
| country\_code     | código de país, como `62` para Indonesia   |
| national\_number  | número de marcación nacional               |
| is\_valid\_number | indica si el número es válido              |
| number\_type      | tipo de número, `MOBILE`、`FIXED_LINE`      |
| e164              | número con formato `e164`                  |
| region\_code      | código de región, como `ID` para Indonesia |
| location          | ubicación, *multilingüe*                   |
| time\_zones       | zonas horarias                             |
| carrier           | operador de servicio, *multilingüe*        |

## Descripción de los tipos de número de teléfono

| tipo                   | descripción                                                                               |
| ---------------------- | ----------------------------------------------------------------------------------------- |
| `MOBILE`               | teléfono móvil                                                                            |
| `FIXED_LINE`           | teléfono fijo                                                                             |
| `FIXED_LINE_OR_MOBILE` | teléfono móvil o fijo; *en algunos países no es posible distinguirlos solo por el número* |
| `SHARED_COST`          | <http://en.wikipedia.org/wiki/Shared_Cost_Service>                                        |
| `VOIP`                 | VOIP                                                                                      |
| `PERSONAL_NUMBER`      | <http://en.wikipedia.org/wiki/Personal_Numbers>                                           |
| `UNKNOWN`              | Desconocido                                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geeknums.io/consulta-global-de-operadores-telefonicos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
